import java.awt.Graphics;
import java.applet.Applet;

public class faktoriyeltesti extends Applet
{
   public void paint(Graphics g)
   {
   int y=25;
   for(long i=0;i<=10;i++)
     {
     g.drawString(i+"! = "+faktoriyel(i),25,y);
     y+=15;
     }
   }

   public long faktoriyel(long sayi)
   {
     if(sayi <=1) return 1;
     else return sayi*faktoriyel(sayi - 1);
   }

}

